Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.producer.config.impl
Class ProducerRegistrationRequirementsImpl

    java.lang.Object
      org.jboss.portal.wsrp.producer.config.impl.ProducerRegistrationRequirementsImpl

All Implemented Interfaces:
  ProducerRegistrationRequirements

    public class ProducerRegistrationRequirementsImpl

extends java.lang.Object
implements ProducerRegistrationRequirements

Since:
  2.6
Version:
  $Revision: 11442 $
Author:
  Chris Laprun

Field Summary

Fields inherited from interface org.jboss.portal.wsrp.producer.config.ProducerRegistrationRequirements
`DEFAULT_POLICY_CLASS_NAME, DEFAULT_VALIDATOR_CLASS_NAME`

Constructor Summary
`ProducerRegistrationRequirementsImpl()`
`ProducerRegistrationRequirementsImpl(boolean requiresMarshalling, boolean requiresRegistration, boolean fullServiceDescriptionRequiresRegistration)`

Method Summary
`boolean` | `acceptValueFor(javax.xml.namespace.QName propertyName, java.lang.Object value)`
`boolean` | `acceptValueFor(java.lang.String propertyName, java.lang.Object value)`
`void` | `addEmptyRegistrationProperty(java.lang.String name)`
`void` | `addRegistrationPolicyChangeListener(RegistrationPolicyChangeListener listener)`
`void` | `addRegistrationProperty(RegistrationPropertyDescription propertyDescription)`
`void` | `addRegistrationPropertyChangeListener(RegistrationPropertyChangeListener listener)`
`void` | `clearRegistrationPolicyChangeListeners()`
`void` | `clearRegistrationProperties()`
`void` | `clearRegistrationPropertyChangeListeners()`
`RegistrationPolicy` | `getPolicy()`
`java.lang.String` | `getPolicyClassName()`
`java.util.Map` | `getRegistrationProperties()`
`RegistrationPropertyDescription` | `getRegistrationPropertyWith(javax.xml.namespace.QName name)`
`RegistrationPropertyDescription` | `getRegistrationPropertyWith(java.lang.String name)`
`java.lang.String` | `getValidatorClassName()`
`boolean` | `isRegistrationRequired()`
`boolean` | `isRegistrationRequiredForFullDescription()`
`void` | `notifyRegistrationPolicyChangeListeners()`
`void` | `notifyRegistrationPropertyChangeListeners()`
`void` | `propertyHasBeenRenamed(RegistrationPropertyDescription propertyDescription, javax.xml.namespace.QName oldName)`
`void` | `reloadPolicyFrom(java.lang.String policyClassName, java.lang.String validatorClassName)`
`void` | `removeRegistrationPolicyChangeListener(RegistrationPolicyChangeListener listener)`
`void` | `removeRegistrationProperty(javax.xml.namespace.QName propertyName)`
`void` | `removeRegistrationProperty(java.lang.String propertyName)`
`void` | `removeRegistrationPropertyChangeListener(RegistrationPropertyChangeListener listener)`
`void` | `setPolicy(RegistrationPolicy policy)`
`void` | `setPolicyClassName(java.lang.String policyClassName)`
`void` | `setRegistrationRequired(boolean requiresRegistration)`
`void` | `setRegistrationRequiredForFullDescription(boolean fullServiceDescriptionRequiresRegistration)`
`void` | `setValidatorClassName(java.lang.String validatorClassName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProducerRegistrationRequirementsImpl

    public ProducerRegistrationRequirementsImpl(boolean requiresMarshalling,
                                                boolean requiresRegistration,
                                                boolean fullServiceDescriptionRequiresRegistration)

### ProducerRegistrationRequirementsImpl

    public ProducerRegistrationRequirementsImpl()

Method Detail

### isRegistrationRequired

    public boolean isRegistrationRequired()

  Specified by:
    `isRegistrationRequired` in interface `ProducerRegistrationRequirements`

### setRegistrationRequired

    public void setRegistrationRequired(boolean requiresRegistration)

  Specified by:
    `setRegistrationRequired` in interface `ProducerRegistrationRequirements`

### isRegistrationRequiredForFullDescription

    public boolean isRegistrationRequiredForFullDescription()

  Specified by:
    `isRegistrationRequiredForFullDescription` in interface `ProducerRegistrationRequirements`

### setRegistrationRequiredForFullDescription

    public void setRegistrationRequiredForFullDescription(boolean fullServiceDescriptionRequiresRegistration)

  Specified by:
    `setRegistrationRequiredForFullDescription` in interface `ProducerRegistrationRequirements`

### getRegistrationProperties

    public java.util.Map getRegistrationProperties()

  Specified by:
    `getRegistrationProperties` in interface `ProducerRegistrationRequirements`

### addRegistrationProperty

    public void addRegistrationProperty(RegistrationPropertyDescription propertyDescription)

  Specified by:
    `addRegistrationProperty` in interface `ProducerRegistrationRequirements`

### addEmptyRegistrationProperty

    public void addEmptyRegistrationProperty(java.lang.String name)

  Specified by:
    `addEmptyRegistrationProperty` in interface `ProducerRegistrationRequirements`

### acceptValueFor

    public boolean acceptValueFor(javax.xml.namespace.QName propertyName,
                                  java.lang.Object value)

  Specified by:
    `acceptValueFor` in interface `ProducerRegistrationRequirements`

### acceptValueFor

    public boolean acceptValueFor(java.lang.String propertyName,
                                  java.lang.Object value)

  Specified by:
    `acceptValueFor` in interface `ProducerRegistrationRequirements`

### getRegistrationPropertyWith

    public RegistrationPropertyDescription getRegistrationPropertyWith(java.lang.String name)

  Specified by:
    `getRegistrationPropertyWith` in interface `ProducerRegistrationRequirements`

### getRegistrationPropertyWith

    public RegistrationPropertyDescription getRegistrationPropertyWith(javax.xml.namespace.QName name)

  Specified by:
    `getRegistrationPropertyWith` in interface `ProducerRegistrationRequirements`

### removeRegistrationProperty

    public void removeRegistrationProperty(javax.xml.namespace.QName propertyName)

  Specified by:
    `removeRegistrationProperty` in interface `ProducerRegistrationRequirements`

### clearRegistrationProperties

    public void clearRegistrationProperties()

  Specified by:
    `clearRegistrationProperties` in interface `ProducerRegistrationRequirements`

### removeRegistrationProperty

    public void removeRegistrationProperty(java.lang.String propertyName)

  Specified by:
    `removeRegistrationProperty` in interface `ProducerRegistrationRequirements`

### notifyRegistrationPropertyChangeListeners

    public void notifyRegistrationPropertyChangeListeners()

  Specified by:
    `notifyRegistrationPropertyChangeListeners` in interface `ProducerRegistrationRequirements`

### clearRegistrationPropertyChangeListeners

    public void clearRegistrationPropertyChangeListeners()

  Specified by:
    `clearRegistrationPropertyChangeListeners` in interface `ProducerRegistrationRequirements`

### addRegistrationPropertyChangeListener

    public void addRegistrationPropertyChangeListener(RegistrationPropertyChangeListener listener)

  Specified by:
    `addRegistrationPropertyChangeListener` in interface `ProducerRegistrationRequirements`

### removeRegistrationPropertyChangeListener

    public void removeRegistrationPropertyChangeListener(RegistrationPropertyChangeListener listener)

  Specified by:
    `removeRegistrationPropertyChangeListener` in interface `ProducerRegistrationRequirements`

### addRegistrationPolicyChangeListener

    public void addRegistrationPolicyChangeListener(RegistrationPolicyChangeListener listener)

  Specified by:
    `addRegistrationPolicyChangeListener` in interface `ProducerRegistrationRequirements`

### removeRegistrationPolicyChangeListener

    public void removeRegistrationPolicyChangeListener(RegistrationPolicyChangeListener listener)

  Specified by:
    `removeRegistrationPolicyChangeListener` in interface `ProducerRegistrationRequirements`

### clearRegistrationPolicyChangeListeners

    public void clearRegistrationPolicyChangeListeners()

  Specified by:
    `clearRegistrationPolicyChangeListeners` in interface `ProducerRegistrationRequirements`

### notifyRegistrationPolicyChangeListeners

    public void notifyRegistrationPolicyChangeListeners()

### setPolicy

    public void setPolicy(RegistrationPolicy policy)

  Specified by:
    `setPolicy` in interface `ProducerRegistrationRequirements`

### getPolicy

    public RegistrationPolicy getPolicy()

  Specified by:
    `getPolicy` in interface `ProducerRegistrationRequirements`

### reloadPolicyFrom

    public void reloadPolicyFrom(java.lang.String policyClassName,
                                 java.lang.String validatorClassName)

  Specified by:
    `reloadPolicyFrom` in interface `ProducerRegistrationRequirements`

### propertyHasBeenRenamed

    public void propertyHasBeenRenamed(RegistrationPropertyDescription propertyDescription,
                                       javax.xml.namespace.QName oldName)

  Specified by:
    `propertyHasBeenRenamed` in interface `ProducerRegistrationRequirements`

### setPolicyClassName

    public void setPolicyClassName(java.lang.String policyClassName)

### getPolicyClassName

    public java.lang.String getPolicyClassName()

### setValidatorClassName

    public void setValidatorClassName(java.lang.String validatorClassName)

### getValidatorClassName

    public java.lang.String getValidatorClassName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD